[Python-modules-team] Bug#524073: python-numpy: please split atlas support into an optional package

Ondrej Certik ondrej at certik.cz
Tue Apr 14 17:23:11 UTC 2009

On Tue, Apr 14, 2009 at 10:09 AM, Neil Williams <codehelp at debian.org> wrote:
> Package: python-numpy
> Version: 1:1.2.1-1
> Severity: normal
> In #489253, ATLAS support was re-enabled.
> In #519233, python-gtk2 was made to depend on python-numpy.
> The net result is that something as small and simple as wicd now depends
> on libgfortran and libblas in unstable.
> I ran my own systems for some time without python-numpy, it was only that
> one issue in the sodoku game. I don't think that is sufficient justification
> for adding such a huge dependency chain like ATLAS.
> I was going to recommend wicd as the wireless network support tool for
> Emdebian Grip but I cannot do that if that means installing fortran!
> Making fortran essential for all GUI python support isn't going to help
> developments like openmoko or other embedded / small machine purposes.

Yes, I agree, that this should be resolved. I always thought you can
install python-numpy without atlas. At least it used to be that way,
if this is not the case, it's a bug to be fixed.

As to fortran, python-numpy needs gfortran to build (it contains some
fortran files). If all you need is just the binary package, I think it
could work without having gfortran installed.


More information about the Python-modules-team mailing list